org.springframework.web.multipart.support

## Class MultipartResolutionDelegate

- java.lang.Object
- - org.springframework.web.multipart.support.MultipartResolutionDelegate

-     public final class MultipartResolutionDelegate
      extends Object

  A common delegate for `HandlerMethodArgumentResolver` implementations which need to resolve `MultipartFile` and `Part` arguments.
  Since:
    4.3
  Author:
    Juergen Hoeller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Object` | `UNRESOLVABLE` Indicates an unresolvable value.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isMultipartArgument(MethodParameter parameter)`
    `static boolean` | `isMultipartRequest(HttpServletRequest request)`
    `static Object` | `resolveMultipartArgument(String name, MethodParameter parameter, HttpServletRequest request)`
    `static MultipartRequest` | `resolveMultipartRequest(NativeWebRequest webRequest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNRESOLVABLE

          public static final Object UNRESOLVABLE

      Indicates an unresolvable value.

  - ### Method Detail

    - #### resolveMultipartRequest

          @Nullable
          public static MultipartRequest resolveMultipartRequest(NativeWebRequest webRequest)

    - #### isMultipartRequest

          public static boolean isMultipartRequest(HttpServletRequest request)

    - #### isMultipartArgument

          public static boolean isMultipartArgument(MethodParameter parameter)

    - #### resolveMultipartArgument

          @Nullable
          public static Object resolveMultipartArgument(String name,
                                                                  MethodParameter parameter,
                                                                  HttpServletRequest request)
                                                           throws Exception

      Throws:
        `Exception`